import sys
n = int(sys.stdin.readline())
nams = None
nnums = None

def read():
    global nams
    global nnums
    try:
        razl = max(int, input().split(), 0) - min(int, input().split(), int, input().split())
    except EOFError:
        return


if __name__ == '__main__':
    print(n)
    print(read())